# Generated from kpeg-1.3.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name kpeg

Name: rubygem-%{gem_name}
Version: 1.3.3
Release: 1%{?dist}
Summary: KPeg is a simple PEG library for Ruby
License: BSD-3-Clause
URL: https://github.com/evanphx/kpeg
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.16
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
KPeg is a simple PEG library for Ruby. It provides an API as well as native
grammar to build the grammar.
KPeg strives to provide a simple, powerful API without being too exotic.
KPeg supports direct left recursion of rules via the
{OMeta memoization}[http://www.vpri.org/pdf/tr2008003_experimenting.pdf]
trick.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/kpeg
%{gem_instdir}/.autotest
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Manifest.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/vim
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/kpeg.gemspec
%{gem_instdir}/test

%changelog
* Mon Mar 06 2023 mockbuilder - 1.3.3-1
- Initial package
